function buildtimeline() {
	
	// Remove all current items
	$('.ele_list_item')
		.draggable('destroy')
		.resizable('destroy')
		.unbind()
		.remove();
	
	// Expand / shrink the panels to fit all the elements
	$('#bottom_panel').css('height', elements.length*20+35);
	$('#left_panel').css('bottom', elements.length*20+35);
	$('#right_panel').css('bottom', elements.length*20+35);
	
	$.each(elements, function(i, v){ // Loop the elements
		$('#element_list_box').append('<div id="ele_list_item_'+v.id+'" class="ele_list_item">ele_'+v.id+'</div>'); // Show the element as a new row on the timeline
		$.each(v.animations, function(i, v2){ // Loop the animations of the current element
			
			// Set the constraints
			var x1 = (i == 0) ? 200 : (v.animations[i-1].time / 10) + (v.animations[i-1].duration / 10) + 200; // If first item, don't constrain, else contrain to previous animation
			var y1 = (v2.id*20)+30;
			var x2 = (i == v.animations.length-1) ? 20000 : v.animations[i+1].time / 10 + 200 - (v2.duration / 10); // If last item, contrain to 20000, else constrain to next animation
			var y2 = (v2.id*20)+30;
			var w1 = (i == v.animations.length-1) ? glob_maxAnimationLength : v.animations[i+1].time / 10; // If last item, constrain to max, else constrain to next animation
			
			$('#timeline_box').append('<div id="ele_timeline_item_'+i+'_'+v2.id+'" class="ele_timeline_item">'+i+'</div>'); // Create the animation item
			$('#ele_timeline_item_'+i+'_'+v2.id) // Set the size / position of the timeline element
				.css('top', (v2.id*20)+30)
				.css('left', v2.time/10)
				.css('width', v2.duration/10)
				.draggable({ grid: [10, 10], axis: "x", containment: [x1, y1, x2, y2] })
				.resizable({ grid: [10, 10], axis: "x", minHeight: 20, maxHeight: 20, minWidth: 10, maxWidth: w1 })
				.bind( "dragstop", function(event, ui) { // Change of start time
					var id_split = $(ui.helper).attr('id').split('_'); // Get the id's
					var ele_id = id_split[4];
					var ani_id = id_split[3];
					elements[ele_id].animations[ani_id].time = ui.position.left * 10; // Update the object
					recontain(); // Set the new constraints
				})
				.bind( "resizestop", function(event, ui) { // Change of duration
					var id_split = $(ui.helper).attr('id').split('_'); // Get the id's
					var ele_id = id_split[4];
					var ani_id = id_split[3];
					elements[ele_id].animations[ani_id].duration = Math.round(ui.size.width/10)*100; // Update the object
					recontain(); // Set the new constraints
				});

		});
	});
}

function recontain() {
	
	$.each(elements, function(i, v){ // Loop the elements
		$.each(v.animations, function(i, v2){ // Loop the animations of the current element
			
			// Set the constraints
			var x1 = (i == 0) ? 200 : (v.animations[i-1].time / 10) + (v.animations[i-1].duration / 10) + 200; // If first item, don't constrain, else contrain to previous animation
			var y1 = (v2.id*20)+30;
			var x2 = (i == v.animations.length-1) ? 20000 : v.animations[i+1].time / 10 + 200 - (v2.duration / 10); // If last item, contrain to 20000, else constrain to next animation
			var y2 = (v2.id*20)+30;
			var w1 = (i == v.animations.length-1) ? glob_maxAnimationLength : v.animations[i+1].time / 10; // If last item, constrain to max, else constrain to next animation
			
			$('#ele_timeline_item_'+i+'_'+v2.id) // Set new constraints
				.draggable( 'options', { containment: [x1, y1, x2, y2] })
				.resizable( 'options', { maxWidth: w1 });

		});
	});
	
}