$(document).ready(function(){
	
	$('#finish').click(function(){
		if (cur_action == 'adding') {
			// Add a new element object into the elements array
			elements[id_count] = 
				new element(
					id_count, 
					$('#left').val(), 
					$('#top').val(), 
					$('#width').val(), 
					$('#height').val(), 
					$('#rotation').val(), 
					$('#opacity').val(), 
					$('#z-index').val()
				);
			// Remove the drag/resize capability of the element
			$('#ele_'+id_count)
				.draggable( "destroy" )
				.resizable( "destroy" );
			// Set all properties to blank and disable the fields
			$('.properties')
				.val('')
				.prop('disabled', true);
			// New element is still selected, so set the id back to the new element
			$('#id').val(id_count);
			// Reset the action
			$('#cur_action').text('None');
			cur_action = false;
			$('.rec_disable').removeClass('disable'); // Enable all links
			// Increment the id counter ready for next element
			id_count = Number(id_count) + 1;
			buildtimeline(); // Rebuild the timeline to show the new element
			
			
		} else if (cur_action == 'recording') {
			// Add the animation to the elements object
			elements[selected_id].newanimation(
				$('#left').val(), 
				$('#top').val(), 
				$('#width').val(), 
				$('#height').val(), 
				$('#rotation').val(), 
				$('#opacity').val()
			);
			// Remove the drag/resize capability of the element
			$('#ele_'+selected_id)
				.draggable( "destroy" )
				.resizable( "destroy" );
			// Set all properties to blank and disable the fields
			$('.properties')
				.val('')
				.prop('disabled', true);
			// The element is still selected, so set the id back to the element id
			$('#id').val(selected_id);
			// Reset the action
			$('#cur_action').text('None');
			cur_action = false;
			$('.rec_disable').removeClass('disable'); // Enable all links
			buildtimeline(); // Rebuild the timeline to show the new animation
		}
	});
	
});