// Element object constructor
function element(id, xpos, ypos, width, height, angle, opacity, zindex) {
	// Starting characteristics
	this.id = id;
	this.xpos = xpos; // Left
	this.ypos = ypos; // Top
	this.width = width;
	this.height = height;
	this.angle = angle;
	this.opacity = opacity;
	this.zindex = zindex;
	this.animations = []; // Define the animations property as an array
	
	this.newanimation = newanimation; // Define the new animation method
}

// New animation method for element object
function newanimation(xpos, ypos, width, height, angle, opacity) {
	var start_xpos = this.xpos;
	var start_ypos = this.ypos;
	var start_width = this.width;
	var start_height = this.height;
	var start_angle = this.angle;
	var start_opacity = this.opacity;
	var latest = 0;
	if (this.animations.length > 0) {
		$.each(this.animations, function(i, v) {
			if(v.time >= latest) {
				latest = Number(v.time) + Number(v.duration);
				start_xpos = v.xpos;
				start_ypos = v.ypos;
				start_width = v.width;
				start_height = v.height;
				start_angle = v.angle;
				start_opacity = v.opacity;
			}
		});
	}
	var time = latest;
	this.animations.push(new animation(this.id, time, glob_duration, start_xpos, start_ypos, start_width, start_height, start_angle, start_opacity, xpos, ypos, width, height, angle, opacity));
}

// Animation object constructor
function animation(id, time, duration, start_xpos, start_ypos, start_width, start_height, start_angle, start_opacity, xpos, ypos, width, height, angle, opacity) {
	this.id  = id;
	this.time = time;
	this.duration = duration;
	this.start_xpos = start_xpos;
	this.start_ypos = start_ypos;
	this.start_width = start_width;
	this.start_height = start_height;
	this.start_angle = start_angle;
	this.start_opacity = start_opacity;
	this.xpos = xpos;
	this.ypos = ypos;
	this.width = width;
	this.height = height;
	this.angle = angle;
	this.opacity = opacity;
}